Main Page Widgets Namespaces Book

# Glib::ConvertError Class Reference
[Character Set Conversion]

Exception class for charset conversion errors. More...

Inheritance diagram for Glib::ConvertError:

[legend]
List of all members.

## Public Types
enum | Code { NO_CONVERSION, ILLEGAL_SEQUENCE, FAILED, PARTIAL_INPUT, BAD_URI, NOT_ABSOLUTE_PATH }
## Public Methods
| ConvertError (Code error_code, const Glib::ustring& error_message)
| ConvertError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for charset conversion errors.

Glib::convert() and friends throw a ConvertError exception if the charset conversion failed for some reason. When writing non-trivial applications you should always catch those errors, and then try to recover, or tell the user the input was invalid.

## Member Enumeration Documentation

enum Glib::ConvertError::Code

  | Enumeration values:
  NO_CONVERSION |
  ILLEGAL_SEQUENCE |
  FAILED |
  PARTIAL_INPUT |
  BAD_URI |
  NOT_ABSOLUTE_PATH |

## Constructor & Destructor Documentation

Glib::ConvertError::ConvertError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |

Glib::ConvertError::ConvertError | ( | GError* | gobject | ) | `[explicit]`

## Member Function Documentation

Code Glib::ConvertError::code | ( |  | ) |

| Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- convert.h